- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::MessageStore::Iterator Class Reference

An iterator class for GSmtp::MessageStore. More...

`#include <gmessagestore.h>`

## Public Member Functions
| Iterator ()
| Iterator (IteratorImp *)
| ~Iterator ()
| Iterator (const Iterator &)
Iterator & | operator= (const Iterator &)
std::auto_ptr< StoredMessage > | next ()
void | last ()

## Detailed Description

An iterator class for GSmtp::MessageStore.

Definition at line 62 of file gmessagestore.h.

## Constructor & Destructor Documentation

GSmtp::MessageStore::Iterator::Iterator | ( |  | ) |

Definition at line 44 of file gmessagestore.cpp.

GSmtp::MessageStore::Iterator::Iterator | ( | IteratorImp * | imp | ) |
| explicit

Definition at line 49 of file gmessagestore.cpp.

References G_ASSERT, and GSmtp::MessageStore::IteratorImp::m_ref_count.

GSmtp::MessageStore::Iterator::~Iterator | ( |  | ) |

Definition at line 60 of file gmessagestore.cpp.

GSmtp::MessageStore::Iterator::Iterator | ( | const Iterator & | other | ) |

Definition at line 70 of file gmessagestore.cpp.

References GSmtp::MessageStore::IteratorImp::m_ref_count.

## Member Function Documentation

void GSmtp::MessageStore::Iterator::last | ( |  | ) |

Definition at line 96 of file gmessagestore.cpp.

std::auto_ptr< GSmtp::StoredMessage > GSmtp::MessageStore::Iterator::next | ( |  | ) |

Definition at line 55 of file gmessagestore.cpp.

Referenced by GSmtp::FileStore::unfailAll().

GSmtp::MessageStore::Iterator & GSmtp::MessageStore::Iterator::operator= | ( | const Iterator & | rhs | ) |

Definition at line 77 of file gmessagestore.cpp.

References GSmtp::MessageStore::IteratorImp::m_ref_count.

The documentation for this class was generated from the following files:

- gmessagestore.h
- gmessagestore.cpp